## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 22
%bcond_without check
%global debug_package %{nil}

%global crate onig

Name:           rust-onig
Version:        6.4.0
Release:        %autorelease
Summary:        Rust bindings for the Oniguruma regular expression library

License:        MIT
URL:            https://crates.io/crates/onig
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          onig-fix-metadata-auto.diff
# Restore compatibility with oniguruma 6.9.6
Patch:          onig-696-compat.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Rust-Onig is a set of Rust bindings for the Oniguruma regular expression
library. Oniguruma is a modern regex library with support for multiple
character encodings and regex syntaxes.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+generate-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+generate-devel %{_description}

This package contains library source intended for building other packages which
use the "generate" feature of the "%{crate}" crate.

%files       -n %{name}+generate-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+posix-api-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+posix-api-devel %{_description}

This package contains library source intended for building other packages which
use the "posix-api" feature of the "%{crate}" crate.

%files       -n %{name}+posix-api-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+print-debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+print-debug-devel %{_description}

This package contains library source intended for building other packages which
use the "print-debug" feature of the "%{crate}" crate.

%files       -n %{name}+print-debug-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-pattern-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-pattern-devel %{_description}

This package contains library source intended for building other packages which
use the "std-pattern" feature of the "%{crate}" crate.

%files       -n %{name}+std-pattern-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Dec 13 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 6.4.0-2
- Restore compatibility with oniguruma 6.9.6

* Sat Aug 20 2022 Fabio Valentini <decathorpe@gmail.com> 6.4.0-1
- Update to version 6.4.0; Fixes RHBZ#2116721

* Mon Aug 08 2022 Fabio Valentini <decathorpe@gmail.com> 6.3.2-1
- Update to version 6.3.2; Fixes RHBZ#1970079

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 6.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 6.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Nov 29 2020 Fabio Valentini <decathorpe@gmail.com> - 6.1.1-1
- Update to version 6.1.1.

* Wed Sep 23 2020 Fabio Valentini <decathorpe@gmail.com> - 6.1.0-1
- Update to version 6.1.0.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat May 23 21:23:13 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 6.0.0-1
- Update to 6.0.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Sep 05 05:32:36 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 5.0.0-1
- Update to 5.0.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 23 00:26:45 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.3.2-4
- Re-enable tests

* Sat Jun 22 23:30:17 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.3.2-3
- Regenerate

* Sun Mar 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.3.2-2
- Do not pull optional dependencies

* Sun Feb 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.3.2-1
- Update to 4.3.2

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jan 16 2019 Josh Stone <jistone@redhat.com> - 4.3.1-1
- Update to 4.3.1

* Sat Jan 12 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.3.0-1
- Update to 4.3.0

* Tue Nov 13 2018 Josh Stone <jistone@redhat.com> - 4.2.1-1
- Update to 4.2.1

* Sat Nov 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.2.0-2
- Adapt to new packaging

* Sat Sep 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.2.0-1
- Update to 4.2.0

* Mon Sep 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.1.0-1
- Initial package

